import {
  forColorTokens
} from "./chunk.76QWARGM.js";
import {
  styleExpressionProperty
} from "./chunk.NUUST5OZ.js";
import {
  tokens
} from "./chunk.FI4AQLJC.js";
import {
  GdsElement
} from "./chunk.TMEWQZER.js";
import {
  gdsCustomElement,
  html
} from "./chunk.QK3R23GV.js";
import {
  __decorateClass
} from "./chunk.SEHSDSX2.js";

// libs/core/src/components/divider/divider.ts
import { nothing } from "lit";
import { property } from "lit/decorators.js";

// libs/core/src/components/divider/divider.style.ts
import { css } from "lit";
var style = css`
  :host {
    display: block;
  }

  hr {
    border-radius: 200px;
    background: currentColor;
    font-size: 0;
    border: 0;
    height: 1px;
    width: 100%;
    margin-top: calc((var(--_size, 0) / 2) - (1px / 2));
    margin-bottom: calc((var(--_size, 0) / 2) - (1px / 2));
  }
`;
var divider_style_default = style;

// libs/core/src/components/divider/divider.ts
var GdsDivider = class extends GdsElement {
  constructor() {
    super(...arguments);
    this.level = "2";
    this.role = null;
  }
  render() {
    return html`<hr role=${this.role || nothing} />`;
  }
};
GdsDivider.styles = [tokens, divider_style_default];
__decorateClass([
  property()
], GdsDivider.prototype, "level", 2);
__decorateClass([
  styleExpressionProperty(forColorTokens("border"))
], GdsDivider.prototype, "color", 2);
__decorateClass([
  styleExpressionProperty({
    property: "--_size",
    valueTemplate: (v) => `var(--gds-space-${v})`
  })
], GdsDivider.prototype, "size", 2);
__decorateClass([
  styleExpressionProperty()
], GdsDivider.prototype, "opacity", 2);
__decorateClass([
  property()
], GdsDivider.prototype, "role", 2);
GdsDivider = __decorateClass([
  gdsCustomElement("gds-divider")
], GdsDivider);

export {
  GdsDivider
};
