import {
  __export
} from "./chunks/chunk.SEHSDSX2.js";

// libs/core/src/utils/localization/localization.ts
import { configureLocalization } from "@lit/localize";

// libs/core/src/generated/locale-codes.ts
var sourceLocale = `en`;
var targetLocales = [
  `da`,
  `de`,
  `fi`,
  `fr`,
  `it`,
  `nl`,
  `no`,
  `sv`
];

// libs/core/src/generated/locales/da.ts
var da_exports = {};
__export(da_exports, {
  templates: () => templates
});
import { str } from "@lit/localize";
var templates = {
  "s15a16ae9f99f19bf": `Juli`,
  "s15a852e9f9a50fa5": `Juni`,
  "s17e3edbe032f79ec": `\xC5bn kalender-popup`,
  "s1a2dda8f763a68bd": `Januar`,
  "s1e118319b5202c41": `Man`,
  "s1e187019b5262aa6": `Maj`,
  "s281846ef0421c71f": `November`,
  "s2ceb11be2290bb1b": `Annuller`,
  "s39938ecdae568740": `September`,
  "s407a88a592a0987c": `August`,
  "s46d6587089bd0356": `N\xE6ste m\xE5ned`,
  "s49730f3d5751a433": `Indl\xE6ser...`,
  "s5052d10b539eabf0": `Marts`,
  "s58bfb494feb8eb02": str`${0} valgt`,
  "s5d929ff1619ac0c9": `S\xF8g`,
  "s5e8250fb85d64c23": `Luk`,
  "s5febcd9b311c16fe": `Rul til h\xF8jre`,
  "s62931b2a50168976": `Forrige m\xE5ned`,
  "s63d040e37887f17e": `I dag`,
  "s6cfed919e21ac6ac": `Tor`,
  "s6d24cd19e23b8185": `Ti`,
  "s74aa0319e62b2eb7": `Ons`,
  "s7793b811d20184fe": `December`,
  "s7fd3469f78111589": `\xC5bn kontekstmenu`,
  "s83c436ed1bc16dfb": `Vis flere oplysninger`,
  "s8ade4e9d5e804d6a": `F\xF8rste tilg\xE6ngelige dato`,
  "s9836b719fa8ef857": `L\xF8r`,
  "s987ac119fac8d621": `S\xF8n`,
  "s9af3c72c33088826": str`Der er ${0} fejl, der skal rettes, før du kan fortsætte:`,
  "sa6f2645578b2d2bc": `\xC5r`,
  "sa7cd5c2ff6d266e7": `Oktober`,
  "sb47daaf9e1c4a905": `M\xE5ned`,
  "sb4f1dffbb6be6302": `Ryd`,
  "sb77f4dce69a005ac": `Fejlmeddelelse.`,
  "sbc083a1dbee9af73": `Februar`,
  "scb6b9cb49cf93277": `April`,
  "sd898d99fd9c13de6": `Filtrer tilg\xE6ngelige muligheder`,
  "sdc42f1da42d6411a": `Ryd inputfelt`,
  "se0955919920ee87d": `Dag`,
  "se4129fd6b9d7b4c2": `Sidste tilg\xE6ngelige dato`,
  "sf295af199c723ec8": `Fre`
};

// libs/core/src/generated/locales/de.ts
var de_exports = {};
__export(de_exports, {
  templates: () => templates2
});
import { str as str2 } from "@lit/localize";
var templates2 = {
  "s15a16ae9f99f19bf": `Juli`,
  "s15a852e9f9a50fa5": `Juni`,
  "s17e3edbe032f79ec": `Kalender-Modal \xF6ffnen`,
  "s1a2dda8f763a68bd": `Januar`,
  "s1e118319b5202c41": `Mo`,
  "s1e187019b5262aa6": `Mai`,
  "s281846ef0421c71f": `November`,
  "s2ceb11be2290bb1b": `Abbrechen`,
  "s39938ecdae568740": `September`,
  "s407a88a592a0987c": `August`,
  "s46d6587089bd0356": `N\xE4chster Monat`,
  "s49730f3d5751a433": `Laden...`,
  "s5052d10b539eabf0": `M\xE4rz`,
  "s58bfb494feb8eb02": str2`${0} ausgewählt`,
  "s5d929ff1619ac0c9": `Suche`,
  "s5e8250fb85d64c23": `Schlie\xDFen`,
  "s5febcd9b311c16fe": `Nach rechts scrollen`,
  "s62931b2a50168976": `Vorheriger Monat`,
  "s63d040e37887f17e": `Heute`,
  "s6cfed919e21ac6ac": `Do`,
  "s6d24cd19e23b8185": `Di`,
  "s74aa0319e62b2eb7": `Mi`,
  "s7793b811d20184fe": `Dezember`,
  "s7fd3469f78111589": `Kontextmen\xFC \xF6ffnen`,
  "s83c436ed1bc16dfb": `Weitere Informationen anzeigen`,
  "s8ade4e9d5e804d6a": `Erstes verf\xFCgbares Datum`,
  "s9836b719fa8ef857": `Sa`,
  "s987ac119fac8d621": `So`,
  "s9af3c72c33088826": str2`Es gibt ${0} Fehler zu beheben, bevor du fortfahren kannst:`,
  "sa6f2645578b2d2bc": `Jahr`,
  "sa7cd5c2ff6d266e7": `Oktober`,
  "sb47daaf9e1c4a905": `Monat`,
  "sb4f1dffbb6be6302": `L\xF6schen`,
  "sb77f4dce69a005ac": `Fehlermeldung.`,
  "sbc083a1dbee9af73": `Februar`,
  "scb6b9cb49cf93277": `April`,
  "sd898d99fd9c13de6": `Verf\xFCgbare Optionen filtern`,
  "sdc42f1da42d6411a": `Feld l\xF6schen`,
  "se0955919920ee87d": `Tag`,
  "se4129fd6b9d7b4c2": `Letztes verf\xFCgbares Datum`,
  "sf295af199c723ec8": `Fr`
};

// libs/core/src/generated/locales/fi.ts
var fi_exports = {};
__export(fi_exports, {
  templates: () => templates3
});
import { str as str3 } from "@lit/localize";
var templates3 = {
  "s15a16ae9f99f19bf": `Hein\xE4`,
  "s15a852e9f9a50fa5": `Kes\xE4`,
  "s17e3edbe032f79ec": `Avaa kalenteri-modal`,
  "s1a2dda8f763a68bd": `Tammikuu`,
  "s1e118319b5202c41": `Ma`,
  "s1e187019b5262aa6": `Touko`,
  "s281846ef0421c71f": `Marraskuu`,
  "s2ceb11be2290bb1b": `Peruuta`,
  "s39938ecdae568740": `Syys`,
  "s407a88a592a0987c": `Elokuu`,
  "s46d6587089bd0356": `Seuraava kuukausi`,
  "s49730f3d5751a433": `Ladataan...`,
  "s5052d10b539eabf0": `Maalis`,
  "s58bfb494feb8eb02": str3`${0} valittua`,
  "s5d929ff1619ac0c9": `Hae`,
  "s5e8250fb85d64c23": `Sulje`,
  "s5febcd9b311c16fe": `Vierit\xE4 oikealle`,
  "s62931b2a50168976": `Edellinen kuukausi`,
  "s63d040e37887f17e": `T\xE4n\xE4\xE4n`,
  "s6cfed919e21ac6ac": `To`,
  "s6d24cd19e23b8185": `Ti`,
  "s74aa0319e62b2eb7": `Ke`,
  "s7793b811d20184fe": `Joulukuu`,
  "s7fd3469f78111589": `Avaa pikavalikko`,
  "s83c436ed1bc16dfb": `N\xE4yt\xE4 lis\xE4\xE4 tietoja`,
  "s8ade4e9d5e804d6a": `Ensimm\xE4inen saatavilla oleva p\xE4iv\xE4m\xE4\xE4r\xE4`,
  "s9836b719fa8ef857": `La`,
  "s987ac119fac8d621": `Su`,
  "s9af3c72c33088826": str3`On ${0} virhettä, jotka täytyy korjata ennen kuin voit jatkaa:`,
  "sa6f2645578b2d2bc": `Vuosi`,
  "sa7cd5c2ff6d266e7": `Lokakuu`,
  "sb47daaf9e1c4a905": `Kuukausi`,
  "sb4f1dffbb6be6302": `Tyhjenn\xE4`,
  "sb77f4dce69a005ac": `Virheilmoitus.`,
  "sbc083a1dbee9af73": `Helmikuu`,
  "scb6b9cb49cf93277": `Huhti`,
  "sd898d99fd9c13de6": `Suodata saatavilla olevia vaihtoehtoja`,
  "sdc42f1da42d6411a": `Tyhjenn\xE4 sy\xF6te`,
  "se0955919920ee87d": `P\xE4iv\xE4`,
  "se4129fd6b9d7b4c2": `Viimeinen saatavilla oleva p\xE4iv\xE4m\xE4\xE4r\xE4`,
  "sf295af199c723ec8": `Pe`
};

// libs/core/src/generated/locales/fr.ts
var fr_exports = {};
__export(fr_exports, {
  templates: () => templates4
});
import { str as str4 } from "@lit/localize";
var templates4 = {
  "s15a16ae9f99f19bf": `Juillet`,
  "s15a852e9f9a50fa5": `Juin`,
  "s17e3edbe032f79ec": `Ouvrir le calendrier modal`,
  "s1a2dda8f763a68bd": `Janvier`,
  "s1e118319b5202c41": `Lun`,
  "s1e187019b5262aa6": `Mai`,
  "s281846ef0421c71f": `Novembre`,
  "s2ceb11be2290bb1b": `Annuler`,
  "s39938ecdae568740": `Septembre`,
  "s407a88a592a0987c": `Ao\xFBt`,
  "s46d6587089bd0356": `Mois suivant`,
  "s49730f3d5751a433": `Chargement...`,
  "s5052d10b539eabf0": `Mars`,
  "s58bfb494feb8eb02": str4`${0} sélectionné(s)`,
  "s5d929ff1619ac0c9": `Rechercher`,
  "s5e8250fb85d64c23": `Fermer`,
  "s5febcd9b311c16fe": `Faire d\xE9filer \xE0 droite`,
  "s62931b2a50168976": `Mois pr\xE9c\xE9dent`,
  "s63d040e37887f17e": `Aujourd'hui`,
  "s6cfed919e21ac6ac": `Jeu`,
  "s6d24cd19e23b8185": `Mar`,
  "s74aa0319e62b2eb7": `Mer`,
  "s7793b811d20184fe": `D\xE9cembre`,
  "s7fd3469f78111589": `Ouvrir le menu contextuel`,
  "s83c436ed1bc16dfb": `Afficher plus d'informations`,
  "s8ade4e9d5e804d6a": `Premi\xE8re date disponible`,
  "s9836b719fa8ef857": `Sam`,
  "s987ac119fac8d621": `Dim`,
  "s9af3c72c33088826": str4`Il y a ${0} erreur(s) à corriger avant de pouvoir continuer :`,
  "sa6f2645578b2d2bc": `Ann\xE9e`,
  "sa7cd5c2ff6d266e7": `Octobre`,
  "sb47daaf9e1c4a905": `Mois`,
  "sb4f1dffbb6be6302": `Effacer`,
  "sb77f4dce69a005ac": `Message d'erreur.`,
  "sbc083a1dbee9af73": `F\xE9vrier`,
  "scb6b9cb49cf93277": `Avril`,
  "sd898d99fd9c13de6": `Filtrer les options disponibles`,
  "sdc42f1da42d6411a": `Effacer la saisie`,
  "se0955919920ee87d": `Jour`,
  "se4129fd6b9d7b4c2": `Derni\xE8re date disponible`,
  "sf295af199c723ec8": `Ven`
};

// libs/core/src/generated/locales/it.ts
var it_exports = {};
__export(it_exports, {
  templates: () => templates5
});
import { str as str5 } from "@lit/localize";
var templates5 = {
  "s15a16ae9f99f19bf": `Luglio`,
  "s15a852e9f9a50fa5": `Giugno`,
  "s17e3edbe032f79ec": `Apri la finestra del calendario`,
  "s1a2dda8f763a68bd": `Gennaio`,
  "s1e118319b5202c41": `Lun`,
  "s1e187019b5262aa6": `Maggio`,
  "s281846ef0421c71f": `Novembre`,
  "s2ceb11be2290bb1b": `Annulla`,
  "s39938ecdae568740": `Settembre`,
  "s407a88a592a0987c": `Agosto`,
  "s46d6587089bd0356": `Mese successivo`,
  "s49730f3d5751a433": `Caricamento...`,
  "s5052d10b539eabf0": `Marzo`,
  "s58bfb494feb8eb02": str5`${0} selezionato`,
  "s5d929ff1619ac0c9": `Cerca`,
  "s5e8250fb85d64c23": `Chiudi`,
  "s5febcd9b311c16fe": `Scorri a destra`,
  "s62931b2a50168976": `Mese precedente`,
  "s63d040e37887f17e": `Oggi`,
  "s6cfed919e21ac6ac": `Gio`,
  "s6d24cd19e23b8185": `Mar`,
  "s74aa0319e62b2eb7": `Mer`,
  "s7793b811d20184fe": `Dicembre`,
  "s7fd3469f78111589": `Apri il menu contestuale`,
  "s83c436ed1bc16dfb": `Mostra pi\xF9 informazioni`,
  "s8ade4e9d5e804d6a": `Prima data disponibile`,
  "s9836b719fa8ef857": `Sab`,
  "s987ac119fac8d621": `Dom`,
  "s9af3c72c33088826": str5`Ci sono ${0} errori da correggere prima di poter continuare:`,
  "sa6f2645578b2d2bc": `Anno`,
  "sa7cd5c2ff6d266e7": `Ottobre`,
  "sb47daaf9e1c4a905": `Mese`,
  "sb4f1dffbb6be6302": `Pulisci`,
  "sb77f4dce69a005ac": `Messaggio di errore.`,
  "sbc083a1dbee9af73": `Febbraio`,
  "scb6b9cb49cf93277": `Aprile`,
  "sd898d99fd9c13de6": `Filtra le opzioni disponibili`,
  "sdc42f1da42d6411a": `Pulisci il campo di input`,
  "se0955919920ee87d": `Giorno`,
  "se4129fd6b9d7b4c2": `Ultima data disponibile`,
  "sf295af199c723ec8": `Ven`
};

// libs/core/src/generated/locales/nl.ts
var nl_exports = {};
__export(nl_exports, {
  templates: () => templates6
});
import { str as str6 } from "@lit/localize";
var templates6 = {
  "s15a16ae9f99f19bf": `Juli`,
  "s15a852e9f9a50fa5": `Juni`,
  "s17e3edbe032f79ec": `Open kalenderpop-up`,
  "s1a2dda8f763a68bd": `Januari`,
  "s1e118319b5202c41": `Ma`,
  "s1e187019b5262aa6": `Mei`,
  "s281846ef0421c71f": `November`,
  "s2ceb11be2290bb1b": `Annuleren`,
  "s39938ecdae568740": `September`,
  "s407a88a592a0987c": `Augustus`,
  "s46d6587089bd0356": `Volgende maand`,
  "s49730f3d5751a433": `Laden...`,
  "s5052d10b539eabf0": `Maart`,
  "s58bfb494feb8eb02": str6`${0} geselecteerd`,
  "s5d929ff1619ac0c9": `Zoeken`,
  "s5e8250fb85d64c23": `Sluiten`,
  "s5febcd9b311c16fe": `Scroll rechts`,
  "s62931b2a50168976": `Vorige maand`,
  "s63d040e37887f17e": `Vandaag`,
  "s6cfed919e21ac6ac": `Do`,
  "s6d24cd19e23b8185": `Di`,
  "s74aa0319e62b2eb7": `Wo`,
  "s7793b811d20184fe": `December`,
  "s7fd3469f78111589": `Open contextmenu`,
  "s83c436ed1bc16dfb": `Toon meer informatie`,
  "s8ade4e9d5e804d6a": `Eerste beschikbare datum`,
  "s9836b719fa8ef857": `Za`,
  "s987ac119fac8d621": `Zo`,
  "s9af3c72c33088826": str6`Er zijn ${0} fouten die gecorrigeerd moeten worden voordat je verder kunt gaan:`,
  "sa6f2645578b2d2bc": `Jaar`,
  "sa7cd5c2ff6d266e7": `Oktober`,
  "sb47daaf9e1c4a905": `Maand`,
  "sb4f1dffbb6be6302": `Wis`,
  "sb77f4dce69a005ac": `Foutmelding.`,
  "sbc083a1dbee9af73": `Februari`,
  "scb6b9cb49cf93277": `April`,
  "sd898d99fd9c13de6": `Filter beschikbare opties`,
  "sdc42f1da42d6411a": `Wis invoer`,
  "se0955919920ee87d": `Dag`,
  "se4129fd6b9d7b4c2": `Laatste beschikbare datum`,
  "sf295af199c723ec8": `Vr`
};

// libs/core/src/generated/locales/no.ts
var no_exports = {};
__export(no_exports, {
  templates: () => templates7
});
import { str as str7 } from "@lit/localize";
var templates7 = {
  "s15a16ae9f99f19bf": `Juli`,
  "s15a852e9f9a50fa5": `Juni`,
  "s17e3edbe032f79ec": `\xC5pne kalendermodal`,
  "s1a2dda8f763a68bd": `Januar`,
  "s1e118319b5202c41": `Man`,
  "s1e187019b5262aa6": `Mai`,
  "s281846ef0421c71f": `November`,
  "s2ceb11be2290bb1b": `Avbryt`,
  "s39938ecdae568740": `September`,
  "s407a88a592a0987c": `August`,
  "s46d6587089bd0356": `Neste m\xE5ned`,
  "s49730f3d5751a433": `Laster...`,
  "s5052d10b539eabf0": `Mars`,
  "s58bfb494feb8eb02": str7`${0} valgt`,
  "s5d929ff1619ac0c9": `S\xF8k`,
  "s5e8250fb85d64c23": `Lukk`,
  "s5febcd9b311c16fe": `Rull til h\xF8yre`,
  "s62931b2a50168976": `Forrige m\xE5ned`,
  "s63d040e37887f17e": `I dag`,
  "s6cfed919e21ac6ac": `Tor`,
  "s6d24cd19e23b8185": `Tir`,
  "s74aa0319e62b2eb7": `Ons`,
  "s7793b811d20184fe": `Desember`,
  "s7fd3469f78111589": `\xC5pne kontekstmeny`,
  "s83c436ed1bc16dfb": `Vis mer informasjon`,
  "s8ade4e9d5e804d6a": `F\xF8rste tilgjengelige dato`,
  "s9836b719fa8ef857": `L\xF8r`,
  "s987ac119fac8d621": `S\xF8n`,
  "s9af3c72c33088826": str7`Det er ${0} feil som må rettes før du kan fortsette:`,
  "sa6f2645578b2d2bc": `\xC5r`,
  "sa7cd5c2ff6d266e7": `Oktober`,
  "sb47daaf9e1c4a905": `M\xE5ned`,
  "sb4f1dffbb6be6302": `Rens`,
  "sb77f4dce69a005ac": `Feilmelding.`,
  "sbc083a1dbee9af73": `Februar`,
  "scb6b9cb49cf93277": `April`,
  "sd898d99fd9c13de6": `Filtrer tilgjengelige alternativer`,
  "sdc42f1da42d6411a": `Rens inputfelt`,
  "se0955919920ee87d": `Dag`,
  "se4129fd6b9d7b4c2": `Siste tilgjengelige dato`,
  "sf295af199c723ec8": `Fre`
};

// libs/core/src/generated/locales/sv.ts
var sv_exports = {};
__export(sv_exports, {
  templates: () => templates8
});
import { str as str8 } from "@lit/localize";
var templates8 = {
  "s15a16ae9f99f19bf": `Juli`,
  "s15a852e9f9a50fa5": `Juni`,
  "s17e3edbe032f79ec": `\xD6ppna kalender`,
  "s1a2dda8f763a68bd": `Januari`,
  "s1e118319b5202c41": `M\xE5n`,
  "s1e187019b5262aa6": `Maj`,
  "s281846ef0421c71f": `November`,
  "s2ceb11be2290bb1b": `Avbryt`,
  "s39938ecdae568740": `September`,
  "s407a88a592a0987c": `Augusti`,
  "s46d6587089bd0356": `N\xE4sta m\xE5nad`,
  "s49730f3d5751a433": `Laddar...`,
  "s5052d10b539eabf0": `Mars`,
  "s58bfb494feb8eb02": str8`${0} valda`,
  "s5d929ff1619ac0c9": `S\xF6k`,
  "s5e8250fb85d64c23": `St\xE4ng`,
  "s5febcd9b311c16fe": `Scrolla h\xF6ger`,
  "s62931b2a50168976": `F\xF6reg\xE5ende m\xE5nad`,
  "s63d040e37887f17e": `Idag`,
  "s6cfed919e21ac6ac": `Tor`,
  "s6d24cd19e23b8185": `Tis`,
  "s74aa0319e62b2eb7": `Ons`,
  "s7793b811d20184fe": `December`,
  "s7fd3469f78111589": `\xD6ppna meny`,
  "s83c436ed1bc16dfb": `Visa mer information`,
  "s8ade4e9d5e804d6a": `F\xF6rsta tillg\xE4ngliga datum`,
  "s9836b719fa8ef857": `L\xF6r`,
  "s987ac119fac8d621": `S\xF6n`,
  "s9af3c72c33088826": str8`Det finns ${0} fel att åtgärda innan du kan fortsätta:`,
  "sa6f2645578b2d2bc": `\xC5r`,
  "sa7cd5c2ff6d266e7": `Oktober`,
  "sb47daaf9e1c4a905": `M\xE5nad`,
  "sb4f1dffbb6be6302": `Rensa`,
  "sb77f4dce69a005ac": `Felmeddelande.`,
  "sbc083a1dbee9af73": `Februari`,
  "scb6b9cb49cf93277": `April`,
  "sd898d99fd9c13de6": `S\xF6k i listan av val`,
  "sdc42f1da42d6411a": `Rensa text`,
  "se0955919920ee87d": `Dag`,
  "se4129fd6b9d7b4c2": `Sista tillg\xE4ngliga datum`,
  "sf295af199c723ec8": `Fre`
};

// libs/core/src/utils/localization/localization.ts
var localizedTemplates = /* @__PURE__ */ new Map([
  ["sv", sv_exports],
  ["no", no_exports],
  ["nl", nl_exports],
  ["it", it_exports],
  ["fr", fr_exports],
  ["fi", fi_exports],
  ["de", de_exports],
  ["da", da_exports]
]);
var gdsInitLocalization = ({ extraLocales, extraTemplates } = {
  extraLocales: [],
  extraTemplates: /* @__PURE__ */ new Map()
}) => {
  const _targetLocales = [...targetLocales];
  for (const [locale, template] of extraTemplates) {
    localizedTemplates.set(locale, template);
  }
  for (const locale of extraLocales) {
    _targetLocales.push(locale);
  }
  return configureLocalization({
    sourceLocale,
    targetLocales: _targetLocales,
    loadLocale: async (locale) => {
      const localModule = localizedTemplates.get(locale);
      if (localModule) {
        return localModule;
      }
      return Promise.reject(new Error(`Locale ${locale} not found`));
    }
  });
};
export {
  gdsInitLocalization,
  targetLocales
};
