import {
  DynamicStylesController
} from "./chunk.B7ZOSVCQ.js";
import {
  __decorateClass
} from "./chunk.SEHSDSX2.js";

// libs/core/src/gds-element.ts
import { LitElement } from "lit";
import { state } from "lit/decorators.js";
import "reflect-metadata";
var GdsElement = class extends LitElement {
  constructor() {
    super();
    this._isUsingTransitionalStyles = false;
    this._dynamicStylesController = new DynamicStylesController(this);
  }
  connectedCallback() {
    var _a;
    super.connectedCallback();
    this.setAttribute("gds-element", ((_a = this.gdsElementName) == null ? void 0 : _a.toString()) || "");
  }
  disconnectedCallback() {
    super.disconnectedCallback();
    this.dispatchEvent(
      new CustomEvent("gds-element-disconnected", {
        bubbles: true,
        composed: false
      })
    );
  }
};
__decorateClass([
  state()
], GdsElement.prototype, "_isUsingTransitionalStyles", 2);

export {
  GdsElement
};
