import {
  GdsDiv
} from "./chunk.BCIZMK2U.js";
import {
  tokens
} from "./chunk.FI4AQLJC.js";
import {
  gdsCustomElement,
  html
} from "./chunk.QK3R23GV.js";
import {
  __decorateClass
} from "./chunk.SEHSDSX2.js";

// libs/core/src/components/flex/flex.styles.ts
import { css } from "lit";
var style = css`
  :host {
    display: flex;
    box-sizing: border-box;
    border-style: solid;
    border-width: 0;
    border-color: var(--gds-color-l2-border-primary);
  }
`;
var flex_styles_default = style;

// libs/core/src/components/flex/flex.ts
var GdsFlex = class extends GdsDiv {
  render() {
    return html`<slot></slot>`;
  }
};
GdsFlex.styles = [tokens, flex_styles_default];
GdsFlex = __decorateClass([
  gdsCustomElement("gds-flex")
], GdsFlex);

export {
  GdsFlex
};
