import { GdsButton } from '../button';
declare const GdsFab_base: (new (...args: any[]) => import("../../utils/mixins/declarative-layout-mixins").PositioningProps) & typeof GdsButton;
/**
 * @element gds-fab
 * @status stable
 *
 * The Floating Action Button is used for functions central to the user experience, such as
 * support and help features that needs to be accessible at all times.
 *
 * The button is always floating visible in the users viewport, typically in the lower right
 * corner. This button can be used with an icon only.
 *
 * @slot - Content of the FAB
 */
export declare class GdsFab extends GdsFab_base {
    connectedCallback(): void;
}
export {};
